Package ru.bitel.bgbilling.modules.ticket.server.bean

# Class AgentManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
bitel.billing.server.admin.auth.Auth<Agent,jakarta.servlet.http.HttpServletRequest,Connection,Integer,Conf>
bitel.billing.server.admin.auth.http.HttpAuth<Agent,Connection,Integer,Conf>
ru.bitel.bgbilling.modules.ticket.server.bean.AgentManager

public final class AgentManager extends bitel.billing.server.admin.auth.http.HttpAuth<Agent,Connection,Integer,Conf>

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AgentManager(Connection con, int mid)`
  `AgentManager(Setup setup)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteAgent(int id)`
  `Agent`
  `getAgent(int id)`
  `List<Agent>`
  `getAgentList(String title)`
  `protected Agent`
  `getLogin(jakarta.servlet.http.HttpServletRequest request, Connection con, Integer mid, Conf conf, String[] baseAuth)`
  `protected boolean`
  `isNeedBaseAuth(Agent a, Connection b, Integer c, Conf d)`
  `protected boolean`
  `isNeedCertificateAuth(Agent a, Connection b, Integer c, Conf d)`
  `protected boolean`
  `isNeedSecureConnection(Agent a, Connection b, Integer c, Conf conf)`
  `void`
  `updateAgent(Agent agent)`

  ### Methods inherited from class bitel.billing.server.admin.auth.http.HttpAuth

  `checkCertificate, getBasicAuth, login`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AgentManager

    public AgentManager(Connection con, int mid)

  - ### AgentManager

    public AgentManager(Setup setup)

- ## Method Details

  - ### getAgent

    public Agent getAgent(int id)

  - ### getAgentList

    public List<Agent> getAgentList(String title)

  - ### deleteAgent

    public void deleteAgent(int id)

  - ### updateAgent

    public void updateAgent(Agent agent) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getLogin

    protected Agent getLogin(jakarta.servlet.http.HttpServletRequest request, Connection con, Integer mid, Conf conf, String[] baseAuth) throws bitel.billing.server.admin.auth.AuthException
    Specified by:
      `getLogin` in class `bitel.billing.server.admin.auth.http.HttpAuth<Agent,Connection,Integer,Conf>`
    Throws:
      `bitel.billing.server.admin.auth.AuthException`

  - ### isNeedBaseAuth

    protected boolean isNeedBaseAuth(Agent a, Connection b, Integer c, Conf d)
    Specified by:
      `isNeedBaseAuth` in class `bitel.billing.server.admin.auth.http.HttpAuth<Agent,Connection,Integer,Conf>`

  - ### isNeedCertificateAuth

    protected boolean isNeedCertificateAuth(Agent a, Connection b, Integer c, Conf d)
    Specified by:
      `isNeedCertificateAuth` in class `bitel.billing.server.admin.auth.http.HttpAuth<Agent,Connection,Integer,Conf>`

  - ### isNeedSecureConnection

    protected boolean isNeedSecureConnection(Agent a, Connection b, Integer c, Conf conf)
    Specified by:
      `isNeedSecureConnection` in class `bitel.billing.server.admin.auth.http.HttpAuth<Agent,Connection,Integer,Conf>`